include ../mkpm.mk
ifneq (,$(MKPM_READY))
include $(MKPM)/gnu
include $(MKPM)/mkchain
include $(MKPM)/envcache
include $(MKPM)/dotenv

FRAPPE_VERSION ?= 14
MARIADB_ROOT_PASSWORD ?= 123
ADMIN_PASSWORD ?= admin
SITE_NAME ?= mysite.localhost

BENCH ?= bench

.PHONY: init
init: | frappe-bench/Procfile
	@$(CD) frappe-bench && \
		$(BENCH) set-config -g db_host mariadb && \
		$(BENCH) set-config -g redis_cache redis://redis-cache:6379 && \
		$(BENCH) set-config -g redis_queue redis://redis-queue:6379 && \
		$(BENCH) set-config -g redis_socketio redis://redis-socketio:6379
	@$(MAKE) -s frappe-bench/sites/$(SITE_NAME)/site_config.json

frappe-bench/sites/$(SITE_NAME)/site_config.json:
	@$(CD) frappe-bench && \
		$(BENCH) new-site $(SITE_NAME) \
			--mariadb-root-password "$(MARIADB_ROOT_PASSWORD)" \
			--admin-password "$(ADMIN_PASSWORD)" \
			--no-mariadb-socket

frappe-bench/Procfile:
	@$(BENCH) init --skip-redis-config-generation --frappe-branch version-$(FRAPPE_VERSION) frappe-bench

-include $(call actions)

CACHE_ENVS += \
	BENCH

endif
